Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.connect
Class DbDate

    java.lang.Object
      jet.connect.DbValue
          jet.connect.DbDateTime
              jet.connect.DbDate

    public class DbDate

extends DbDateTime

Field Summary

Fields inherited from class jet.connect.DbDateTime
`value`

Fields inherited from class jet.connect.DbValue
`bNull, CHAR_DESC, CURRENCY_DESC, DATE_DESC, desc, DOUBLE_DESC, INTEGER_DESC, TIME_DESC`

Constructor Summary
`DbDate()`
`DbDate(java.sql.Date dt)`
`DbDate(DbColDesc desc)`

Method Summary
`java.lang.Object` | `clone()` Creates a clone of this DbValue variable.
`java.sql.Date` | `getDate()`
`void` | `set(DbValue v)` Set the value with DbValue.
`void` | `set(JRHierarchicalDataset hds, int col)`
`void` | `set(java.sql.ResultSet rs, int col)` Set the value with result set.
`void` | `setDate(java.sql.Date v)`
`void` | `setValue(java.lang.String v)` Set the value with a string.
`java.lang.String` | `toString()` Convert the value to string.

Methods inherited from class jet.connect.DbDateTime
`compareTo, equals, get, set, setValue, toFormatString, toSqlDate, toUtilDate`

Methods inherited from class jet.connect.DbValue
`equals, getColDesc, getPrecision, getScale, getSqlType, isCurrency, isNull, makeDbValue, setColDesc, setfoo, setNull`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DbDate

    public DbDate()

### DbDate

    public DbDate(java.sql.Date dt)

### DbDate

    public DbDate(DbColDesc desc)

Method Detail

### getDate

    public final java.sql.Date getDate()

### setDate

    public final void setDate(java.sql.Date v)

### set

    public void set(java.sql.ResultSet rs,
                    int col)
             throws java.sql.SQLException

  Description copied from class: `DbValue`
  Set the value with result set.

  Specified by:
    `set` in class `DbValue`
  Parameters:
    `rs` - the source value result set.
    `col` - the source value column number in the rs.
  Throws:
    `java.sql.SQLException`

### set

    public void set(JRHierarchicalDataset hds,
                    int col)
             throws java.sql.SQLException

  Overrides:
    `set` in class `DbValue`
  Throws:
    `java.sql.SQLException`

### toString

    public java.lang.String toString()

  Description copied from class: `DbValue`
  Convert the value to string.

  Specified by:
    `toString` in class `DbValue`

### clone

    public java.lang.Object clone()

  Description copied from class: `DbValue`
  Creates a clone of this DbValue variable.

  Specified by:
    `clone` in class `DbValue`

### set

    public void set(DbValue v)

  Description copied from class: `DbValue`
  Set the value with DbValue.

  Specified by:
    `set` in class `DbValue`

### setValue

    public void setValue(java.lang.String v)

  Description copied from class: `DbValue`
  Set the value with a string.

  Specified by:
    `setValue` in class `DbValue`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD